Skip to main content
POST
/
preview
/
reports
/
creatives
/preview/reports/creatives
curl --request POST \
  --url https://api.criteo.com/preview/reports/creatives \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "type": "GenerateCreativesReport",
    "attributes": {
      "startDate": "2024-01-01T00:00:00.0000000+00:00",
      "endDate": "2024-01-04T00:00:00.0000000+00:00",
      "advertiserIds": [
        "6666",
        "7777"
      ],
      "metrics": [
        "Clicks",
        "Ctr",
        "Displays"
      ],
      "dimensions": [
        "SizeCategory",
        "DisplaySize",
        "AdFormat",
        "Coupon",
        "CouponId",
        "Ad",
        "AdId",
        "Day",
        "Hour"
      ],
      "timezone": "Europe/Paris",
      "adFormats": [
        "Dynamic",
        "Other formats"
      ],
      "displaySizes": [
        "LeaderBoard",
        "LargeBanner"
      ],
      "couponNames": [
        "a coupon name"
      ],
      "couponIds": [
        "3333",
        "5555"
      ],
      "adNames": [
        "Ad by Criteo team"
      ],
      "adIds": [
        "2222"
      ],
      "campaignIds": [
        "1111"
      ],
      "adSetIds": [
        "2222",
        "3333"
      ],
      "adSetStatus": [
        "Active",
        "NotRunning"
      ]
    }
  }
}
'
{
  "data": [
    {
      "attributes": {
        "rows": [
          {}
        ]
      },
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

A top-level object that encapsulates a Criteo API request for a single value object.

data
object

A value resource exposed by the API.

Response

Success

A top-level object that encapsulates a Criteo API response for several value objects.

data
object[] | null
errors
object[] | null
read-only

Errors that occured during this call.

warnings
object[] | null
read-only

Warnings that occured during this call.